###############################################################################
#                                                                             #
#  TakTuk, a middleware for adaptive large scale parallel remote executions   #
#  deployment. Perl implementation, copyright(C) 2006 Guillaume Huard.        #
#                                                                             #
#  This program is free software; you can redistribute it and/or modify       #
#  it under the terms of the GNU General Public License as published by       #
#  the Free Software Foundation; either version 2 of the License, or          #
#  (at your option) any later version.                                        #
#                                                                             #
#  This program is distributed in the hope that it will be useful,            #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#  GNU General Public License for more details.                               #
#                                                                             #
#  You should have received a copy of the GNU General Public License          #
#  along with this program; if not, write to the Free Software                #
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA #
#                                                                             #
#  Contact: Guillaume.Huard@imag.fr                                           #
#           ENSIMAG - Laboratoire ID                                          #
#           51 avenue Jean Kuntzmann                                          #
#           38330 Montbonnot Saint Martin                                     #
#                                                                             #
###############################################################################

AM_CFLAGS = -Wall -Werror -ansi

include_HEADERS = taktuk.h

lib_LTLIBRARIES = libtaktuk.la

libtaktuk_la_SOURCES = taktuk.c taktuk.h

# Taken from libtool manual :
#   1. Start with version information of `0:0:0' for each libtool library.
#   2. Update the version information only immediately before a public release
#      of your software. More frequent updates are unnecessary, and only
#      guarantee that the current interface number gets larger faster.
#   3. If the library source code has changed at all since the last update,
#      then increment revision (`c:r:a' becomes `c:r+1:a').
#   4. If any interfaces have been added, removed, or changed since the last
#      update, increment current, and set revision to 0.
#   5. If any interfaces have been added since the last public release, then
#      increment age.
#   6. If any interfaces have been removed since the last public release, then
#      set age to 0. 

libtaktuk_la_LDFLAGS = -version-info 2:0:0
